﻿namespace NEasy.Ldap
{
    /// <summary>
    /// information of the domain name and ou
    /// </summary>
    public class LdapDomainInfo
    {
        public LdapDomainInfo(string domain, string ou)
        {
            Domain = domain;
            OU = ou;
        }

        public LdapDomainInfo(string domain, string ou, string username, string password)
        {
            Domain = domain;
            OU = ou;
            Username = username;
            Password = password;
        }

        /// <summary>
        /// domain name
        /// </summary>
        public string Domain { get; private set; }

        /// <summary>
        /// base OU
        /// </summary>
        public string OU { get; private set; }

        /// <summary>
        /// username. not used if NULL
        /// </summary>
        public string Username { get; private set; }

        /// <summary>
        /// password, not used if NULL
        /// </summary>
        public string Password { get; private set; }
    }
}